---
# TODO: should this go elsewhere?
{{ if .Values.minio.ingress.enabled }}
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: minio-ingressroute
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      match: Host(`{{ .Values.minio.ingress.subdomain }}.{{ .Values.domain }}`)
      services:
        - kind: Service
          name: {{ .Release.Name }}-minio
          namespace: {{ .Release.Namespace }}
          port: 9001
{{ end }}
